### Function

# GimpUi prop_file_chooser_new

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_prop_file_chooser_new (
      GObject* config,
      const gchar* property_name,
      const gchar* label,
      const gchar* title
    )

#### Description [src]

Creates a `GimpFileChooser` to edit the specified file property. `property_name` must be a %GimpParamSpecFile with an action other than `GIMP_FILE_CHOOSER_ACTION_ANY`.

If `label` is `NULL`, `property_name`‘s `nick` text will be used instead.

Available since: 3.0

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of a %GimpParamSpecFile property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Label of the widget.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  Title of the file dialog.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkFileChooserButton`.

The caller of the function takes ownership of the data, and is responsible for freeing it.